#ifndef SEED_LOG_H_
#define SEED_LOG_H_

// - Log Manager - //



class LogManager {
public:
	LogManager();
	~LogManager();

public:
	bool Print(char *text, bool nl=true);
	bool Printf(char* text, ...);

protected:
	bool Empty();

	char* filename;
};

extern LogManager	logger;

#define LogMessage	logger.Printf
#define LogText		logger.Print
#define LogError(s)	logger.Print("ERROR - " #s)



#endif
