#ifndef S_SEED_HEIGHT_H
#define S_SEED_HEIGHT_H

#include "SeeDTexture.h"


#if 1

#include "SeedQuadTree.h"
class SeeDHeightMap : public SeeDQuadtree {

#elif 1

#include "SeeDKDTree.h"
class SeeDHeightMap : public SeeDKDTree {

#else

#include "SeedOctree.h"
class SeeDHeightMap : public SeeDOctree {

#endif

public:
	SeeDHeightMap();
	~SeeDHeightMap();

public:
	bool Load(char* filename);
	uint Draw();

protected:
	bool BuildVertices(SeeDTexture *texture, TriangleList& tri_list);

protected:
	SeeDTexture* texture;
	uint         width, height;
};


#endif

